🔗 REST APIPeriods

List all periods

Get full list of supported time periods

Available periods

Time unitPeriod identifiers
Second1SEC, 2SEC, 3SEC, 4SEC, 5SEC, 6SEC, 10SEC, 15SEC, 20SEC, 30SEC
Minute1MIN, 2MIN, 3MIN, 4MIN, 5MIN, 6MIN, 10MIN, 15MIN, 20MIN, 30MIN
Hour1HRS, 2HRS, 3HRS, 4HRS, 6HRS, 8HRS, 12HRS
Day1DAY, 2DAY, 3DAY, 5DAY, 7DAY, 10DAY
Month1MTH, 2MTH, 3MTH, 4MTH, 6MTH
Year1YRS, 2YRS, 3YRS, 4YRS, 5YRS

You can assume that we will not remove any periods from this response, however, we may add new ones.

GET
/v1/metadata/periods
Authorization<token>

API Key is required to access the endpoints

In: header

Response Body

curl -X GET "https://example.com/v1/metadata/periods"
[  {    "period_id": "1SEC",    "length_seconds": 1,    "length_months": 0,    "unit_count": 1,    "unit_name": "second",    "display_name": "1 Second"  },  {    "period_id": "10DAY",    "length_seconds": 864000,    "length_months": 0,    "unit_count": 10,    "unit_name": "day",    "display_name": "10 Days"  },  {    "period_id": "2YRS",    "length_seconds": 0,    "length_months": 24,    "unit_count": 2,    "unit_name": "year",    "display_name": "2 Years"  }]